// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.34.1
// 	protoc        (unknown)
// source: serial/v0alpha/dump.proto

package v0alpha

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	anypb "google.golang.org/protobuf/types/known/anypb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Dump should contain all available vault entities,
// and all entries per vault entities, or db tables
// if you will.
type Dump struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Stored passwords.
	Passwords []*Password `protobuf:"bytes,1,rep,name=passwords,proto3" json:"passwords,omitempty"`
	// Stored folders.
	Folders []*Folder `protobuf:"bytes,2,rep,name=folders,proto3" json:"folders,omitempty"`
	// Stored notes.
	Notes []*Note `protobuf:"bytes,3,rep,name=notes,proto3" json:"notes,omitempty"`
}

func (x *Dump) Reset() {
	*x = Dump{}
	if protoimpl.UnsafeEnabled {
		mi := &file_serial_v0alpha_dump_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Dump) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Dump) ProtoMessage() {}

func (x *Dump) ProtoReflect() protoreflect.Message {
	mi := &file_serial_v0alpha_dump_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Dump.ProtoReflect.Descriptor instead.
func (*Dump) Descriptor() ([]byte, []int) {
	return file_serial_v0alpha_dump_proto_rawDescGZIP(), []int{0}
}

func (x *Dump) GetPasswords() []*Password {
	if x != nil {
		return x.Passwords
	}
	return nil
}

func (x *Dump) GetFolders() []*Folder {
	if x != nil {
		return x.Folders
	}
	return nil
}

func (x *Dump) GetNotes() []*Note {
	if x != nil {
		return x.Notes
	}
	return nil
}

// Storage contains any type of records
// that should be serialized. Contained
// types should be known by the program
// implementing this message.
type Storage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Records to be serialized.
	Records []*anypb.Any `protobuf:"bytes,1,rep,name=records,proto3" json:"records,omitempty"`
}

func (x *Storage) Reset() {
	*x = Storage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_serial_v0alpha_dump_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Storage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Storage) ProtoMessage() {}

func (x *Storage) ProtoReflect() protoreflect.Message {
	mi := &file_serial_v0alpha_dump_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Storage.ProtoReflect.Descriptor instead.
func (*Storage) Descriptor() ([]byte, []int) {
	return file_serial_v0alpha_dump_proto_rawDescGZIP(), []int{1}
}

func (x *Storage) GetRecords() []*anypb.Any {
	if x != nil {
		return x.Records
	}
	return nil
}

var File_serial_v0alpha_dump_proto protoreflect.FileDescriptor

var file_serial_v0alpha_dump_proto_rawDesc = []byte{
	0x0a, 0x19, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2f, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61,
	0x2f, 0x64, 0x75, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x0e, 0x73, 0x65, 0x72,
	0x69, 0x61, 0x6c, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x1a, 0x19, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x61, 0x6e, 0x79,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1b, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2f, 0x76,
	0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2f, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x2e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x1a, 0x1d, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2f, 0x76, 0x30, 0x61, 0x6c,
	0x70, 0x68, 0x61, 0x2f, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x1a, 0x19, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2f, 0x76, 0x30, 0x61, 0x6c, 0x70,
	0x68, 0x61, 0x2f, 0x6e, 0x6f, 0x74, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x9c, 0x01,
	0x0a, 0x04, 0x44, 0x75, 0x6d, 0x70, 0x12, 0x36, 0x0a, 0x09, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f,
	0x72, 0x64, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x18, 0x2e, 0x73, 0x65, 0x72, 0x69,
	0x61, 0x6c, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x2e, 0x50, 0x61, 0x73, 0x73, 0x77,
	0x6f, 0x72, 0x64, 0x52, 0x09, 0x70, 0x61, 0x73, 0x73, 0x77, 0x6f, 0x72, 0x64, 0x73, 0x12, 0x30,
	0x0a, 0x07, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x16, 0x2e, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61,
	0x2e, 0x46, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x52, 0x07, 0x66, 0x6f, 0x6c, 0x64, 0x65, 0x72, 0x73,
	0x12, 0x2a, 0x0a, 0x05, 0x6e, 0x6f, 0x74, 0x65, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x14, 0x2e, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61,
	0x2e, 0x4e, 0x6f, 0x74, 0x65, 0x52, 0x05, 0x6e, 0x6f, 0x74, 0x65, 0x73, 0x22, 0x39, 0x0a, 0x07,
	0x53, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x12, 0x2e, 0x0a, 0x07, 0x72, 0x65, 0x63, 0x6f, 0x72,
	0x64, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x14, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x41, 0x6e, 0x79, 0x52, 0x07,
	0x72, 0x65, 0x63, 0x6f, 0x72, 0x64, 0x73, 0x42, 0xc1, 0x01, 0x0a, 0x12, 0x63, 0x6f, 0x6d, 0x2e,
	0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2e, 0x76, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x42, 0x09,
	0x44, 0x75, 0x6d, 0x70, 0x50, 0x72, 0x6f, 0x74, 0x6f, 0x50, 0x01, 0x5a, 0x47, 0x67, 0x69, 0x74,
	0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x6f, 0x75, 0x72, 0x63, 0x65, 0x68, 0x61,
	0x76, 0x65, 0x6e, 0x2f, 0x6d, 0x79, 0x70, 0x61, 0x73, 0x73, 0x2f, 0x67, 0x6f, 0x2e, 0x6b, 0x65,
	0x65, 0x70, 0x73, 0x61, 0x66, 0x65, 0x2f, 0x69, 0x6e, 0x74, 0x65, 0x72, 0x6e, 0x61, 0x6c, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x73, 0x65, 0x72, 0x69, 0x61, 0x6c, 0x2f, 0x76, 0x30, 0x61,
	0x6c, 0x70, 0x68, 0x61, 0xa2, 0x02, 0x03, 0x53, 0x56, 0x58, 0xaa, 0x02, 0x0e, 0x53, 0x65, 0x72,
	0x69, 0x61, 0x6c, 0x2e, 0x56, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0xca, 0x02, 0x0e, 0x53, 0x65,
	0x72, 0x69, 0x61, 0x6c, 0x5c, 0x56, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0xe2, 0x02, 0x1a, 0x53,
	0x65, 0x72, 0x69, 0x61, 0x6c, 0x5c, 0x56, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x5c, 0x47, 0x50,
	0x42, 0x4d, 0x65, 0x74, 0x61, 0x64, 0x61, 0x74, 0x61, 0xea, 0x02, 0x0f, 0x53, 0x65, 0x72, 0x69,
	0x61, 0x6c, 0x3a, 0x3a, 0x56, 0x30, 0x61, 0x6c, 0x70, 0x68, 0x61, 0x62, 0x06, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x33,
}

var (
	file_serial_v0alpha_dump_proto_rawDescOnce sync.Once
	file_serial_v0alpha_dump_proto_rawDescData = file_serial_v0alpha_dump_proto_rawDesc
)

func file_serial_v0alpha_dump_proto_rawDescGZIP() []byte {
	file_serial_v0alpha_dump_proto_rawDescOnce.Do(func() {
		file_serial_v0alpha_dump_proto_rawDescData = protoimpl.X.CompressGZIP(file_serial_v0alpha_dump_proto_rawDescData)
	})
	return file_serial_v0alpha_dump_proto_rawDescData
}

var file_serial_v0alpha_dump_proto_msgTypes = make([]protoimpl.MessageInfo, 2)
var file_serial_v0alpha_dump_proto_goTypes = []interface{}{
	(*Dump)(nil),      // 0: serial.v0alpha.Dump
	(*Storage)(nil),   // 1: serial.v0alpha.Storage
	(*Password)(nil),  // 2: serial.v0alpha.Password
	(*Folder)(nil),    // 3: serial.v0alpha.Folder
	(*Note)(nil),      // 4: serial.v0alpha.Note
	(*anypb.Any)(nil), // 5: google.protobuf.Any
}
var file_serial_v0alpha_dump_proto_depIdxs = []int32{
	2, // 0: serial.v0alpha.Dump.passwords:type_name -> serial.v0alpha.Password
	3, // 1: serial.v0alpha.Dump.folders:type_name -> serial.v0alpha.Folder
	4, // 2: serial.v0alpha.Dump.notes:type_name -> serial.v0alpha.Note
	5, // 3: serial.v0alpha.Storage.records:type_name -> google.protobuf.Any
	4, // [4:4] is the sub-list for method output_type
	4, // [4:4] is the sub-list for method input_type
	4, // [4:4] is the sub-list for extension type_name
	4, // [4:4] is the sub-list for extension extendee
	0, // [0:4] is the sub-list for field type_name
}

func init() { file_serial_v0alpha_dump_proto_init() }
func file_serial_v0alpha_dump_proto_init() {
	if File_serial_v0alpha_dump_proto != nil {
		return
	}
	file_serial_v0alpha_folder_proto_init()
	file_serial_v0alpha_password_proto_init()
	file_serial_v0alpha_note_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_serial_v0alpha_dump_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Dump); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_serial_v0alpha_dump_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Storage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_serial_v0alpha_dump_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   2,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_serial_v0alpha_dump_proto_goTypes,
		DependencyIndexes: file_serial_v0alpha_dump_proto_depIdxs,
		MessageInfos:      file_serial_v0alpha_dump_proto_msgTypes,
	}.Build()
	File_serial_v0alpha_dump_proto = out.File
	file_serial_v0alpha_dump_proto_rawDesc = nil
	file_serial_v0alpha_dump_proto_goTypes = nil
	file_serial_v0alpha_dump_proto_depIdxs = nil
}
